Skip site navigation (1)Skip section navigation (2)
Date:      Sun, 8 Jan 2017 16:55:59 +0000 (UTC)
From:      Devin Teske <dteske@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-all@freebsd.org, svn-src-stable@freebsd.org, svn-src-stable-11@freebsd.org
Subject:   svn commit: r311686 - stable/11/usr.sbin/bsdinstall/scripts
Message-ID:  <201701081655.v08GtxLT077207@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: dteske
Date: Sun Jan  8 16:55:59 2017
New Revision: 311686
URL: https://svnweb.freebsd.org/changeset/base/311686

Log:
  MFC r309716: Add support for "hidden" Wi-Fi networks
  
  PR:		bin/214933
  Submitted by:	Maxim Filimonov <che@bein.link>
  Reviewed by:	dteske, allanjude, adrian

Modified:
  stable/11/usr.sbin/bsdinstall/scripts/wlanconfig
Directory Properties:
  stable/11/   (props changed)

Modified: stable/11/usr.sbin/bsdinstall/scripts/wlanconfig
==============================================================================
--- stable/11/usr.sbin/bsdinstall/scripts/wlanconfig	Sun Jan  8 14:49:50 2017	(r311685)
+++ stable/11/usr.sbin/bsdinstall/scripts/wlanconfig	Sun Jan  8 16:55:59 2017	(r311686)
@@ -207,6 +207,7 @@ fi
 
 while :
 do
+	SCANSSID=0
 	output=$( wpa_cli scan 2>&1 )
 	f_dprintf "%s" "$output"
 	dialog --backtitle "FreeBSD Installer" --title "Scanning" \
@@ -236,7 +237,19 @@ do
 		break
 		;;
 	1)	# Cancel
-		exit 1
+		# here we ask if the user wants to select the network manually
+		f_dialog_title "Network Selection"
+		f_dialog_yesno "Do you want to select the network manually?" || exit 1
+		# and take the manual input
+		# first, take the ssid
+		f_dialog_input NETWORK "Enter SSID" || exit 1
+		# then, the encryption
+		ENCRYPTION=$( dialog --backtitle "$DIALOG_BACKTITLE" --title \
+			"$DIALOG_TITLE" --menu "Select encryption type" 0 0 0 \
+			"1 WPA/WPA2 PSK" "" "2 WPA/WPA2 EAP" "" "3 WEP" "" "0 None" "" 2>&1 1>&3 ) || exit 1
+		SCANSSID=1
+		f_dialog_title_restore
+		break
 		;;
 	3)	# Rescan
 		;;
@@ -244,7 +257,7 @@ do
 	exec 3>&-
 done
 
-ENCRYPTION=`echo "$NETWORKS" | awk -F '\t' \
+[ -z "$ENCRYPTION" ] && ENCRYPTION=`echo "$NETWORKS" | awk -F '\t' \
     "/^\"$NETWORK\"\t/ {printf(\"%s\n\", \\\$2 );}"`
 
 if echo $ENCRYPTION | grep -q 'PSK'; then
@@ -258,6 +271,7 @@ if echo $ENCRYPTION | grep -q 'PSK'; the
 	exec 3>&-
 echo "network={
 	ssid=\"$NETWORK\"
+	scan_ssid=$SCANSSID
 	psk=\"$PASS\"
 	priority=5
 }" >> $BSDINSTALL_TMPETC/wpa_supplicant.conf
@@ -273,6 +287,7 @@ elif echo $ENCRYPTION | grep -q EAP; the
 	exec 3>&-
 echo "network={
 	ssid=\"$NETWORK\"
+	scan_ssid=$SCANSSID
 	key_mgmt=WPA-EAP" >> $BSDINSTALL_TMPETC/wpa_supplicant.conf
 echo "$USERPASS" | awk '
 {
@@ -294,6 +309,7 @@ elif echo $ENCRYPTION | grep -q WEP; the
 	|| exec $0 $@
 echo "network={
 	ssid=\"$NETWORK\"
+	scan_ssid=$SCANSSID
 	key_mgmt=NONE
 	wep_key0=\"$WEPKEY\"
 	wep_tx_keyidx=0
@@ -302,6 +318,7 @@ echo "network={
 else	# Open
 echo "network={
 	ssid=\"$NETWORK\"
+	scan_ssid=$SCANSSID
 	key_mgmt=NONE
 	priority=5
 }" >> $BSDINSTALL_TMPETC/wpa_supplicant.conf



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201701081655.v08GtxLT077207>